%define	name	ratpoison
%define version 1.4.9
%define release %mkrel 1

Name:		%{name}
Summary:	Simple Window Manager largely modelled after Screen
Group:		Graphical desktop/Other
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://download.savannah.nongnu.org/releases/ratpoison/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	X11-devel readline-devel

%description
Ratpoison is a simple window manager with no large library dependencies,
no fancy graphics, no window decorations, and no rodent dependence. It
is largely modeled after GNU Screen, which has done wonders in the
virtual terminal market. All interaction with the window manager is done
through keystrokes. ratpoison has a prefix map to minimize the key
clobbering that cripples EMACS and other quality pieces of software. All
windows are maximized and kept maximized to avoid wasting precious
screen space.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_GETLINE"
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf %{buildroot}/usr/share/doc/%{name}

# startfile
%{__cat} > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

# session file
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/16%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%_install_info %{name}.info
%make_session

%postun
%_remove_install_info %{name}.info
%make_session


%files
%doc README NEWS COPYING AUTHORS ChangeLog
%{_bindir}/startratpoison
%{_bindir}/ratpoison
%{_bindir}/rpws
%{_datadir}/emacs/site-lisp/ratpoison.el
%dir %{_datadir}/ratpoison
%{_datadir}/ratpoison/allwindows.sh
%{_datadir}/ratpoison/clickframe.pl
%{_datadir}/ratpoison/genrpbindings
%{_datadir}/ratpoison/ratdate.sh
%{_datadir}/ratpoison/rpshowall.sh
%{_datadir}/ratpoison/rpws
%{_datadir}/ratpoison/sloppy.c
%{_datadir}/ratpoison/split.sh
%{_datadir}/ratpoison/unrat.c
%{_mandir}
%{_infodir}
%{_sysconfdir}/X11/wmsession.d


%changelog

